Retrieve Anchor IDs
Retrieve all anchor IDs from a document.
GET
/api/{version}/objects/documents/{doc_id}/anchorsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json(default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.2/objects/documents/10/anchorsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"anchorDataList": [
{
"anchorId": 5,
"noteId": 1567562347570,
"anchorName": "Cholecap Indications",
"noteAuthor": "Olivia Cattington",
"noteTimestamp": "2019-09-04 01:59.08",
"pageNumber": 3
},
{
"anchorId": 10,
"noteId": 1568086425522,
"anchorName": "Elderly patients without clinically evident coronary heart disease",
"noteAuthor": "Seymour Stein",
"noteTimestamp": "2019-09-10 03:33.46",
"pageNumber": 3
},
{
"anchorId": 4,
"noteId": 1567562218164,
"anchorName": "Cholecap reduces total-C, LDL-C, and apo B in patients",
"noteAuthor": "Olivia Cattingtom",
"noteTimestamp": "2019-09-04 01:56.58",
"pageNumber": 11
},
{
"anchorId": 6,
"noteId": 1567562566851,
"anchorName": "Lower Triglycerides",
"noteAuthor": "Olivia Cattington",
"noteTimestamp": "2019-09-04 02:02.47",
"pageNumber": 19
}
]
}